## org.exist.xquery.test
Class NodeTypeTest

    java.lang.Object
      junit.framework.Assert
          junit.framework.TestCase
              org.exist.xquery.test.NodeTypeTest

All Implemented Interfaces:
  junit.framework.Test

public class NodeTypeTest
extends junit.framework.TestCase

This test provokes a parameter type error (how?).

Version:
  1.0
Author:
  Tobias Wunden

Constructor Summary
`NodeTypeTest()`

Method Summary
`static void` `main(java.lang.String[] args)`
`void` `testRemoveAndReload()` This test passes nodes containing xml entities to eXist and tries to read it back in: Register a database instance Write a "live" document to the database using the XQueryService Create a "work" version of it

Methods inherited from class junit.framework.TestCase
`countTestCases, getName, run, run, runBare, setName, toString`

Methods inherited from class junit.framework.Assert

`assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertFalse, assertFalse, assertNotNull, assertNotNull, assertNotSame, assertNotSame, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, fail, fail, failNotEquals, failNotSame, failSame`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### NodeTypeTest

    public NodeTypeTest()

Method Detail

### main

    public static void main(java.lang.String[] args)

### testRemoveAndReload

    public final void testRemoveAndReload()

  This test passes nodes containing xml entities to eXist and tries to read it back in:
  - Register a database instance
  - Write a "live" document to the database using the XQueryService
  - Create a "work" version of it

Copyright (C) Wolfgang Meier. All rights reserved.